<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddEtaUserBankSlipTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_bank_slips', function (Blueprint $table) {
            $table->integer('estimated_arrival_time')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        if (Schema::hasColumn('user_bank_slips', 'estimated_arrival_time')) {
            Schema::table('user_bank_slips', function (Blueprint $table) {
                $table->dropColumn('estimated_arrival_time');
            });
        }
    }
}
